2018-09-25 13:33 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001482Orfeo Toolbox (OTB)Generalpublic2018-01-24 08:20
Reporterjulien 
Assigned Tojulien 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0001482: In 6.2, otbcli_Convert with MPI produces invalid tiff files
Description$ mpirun -np 4 otbcli_Convert -in color.tif -out test.tif

$ gdalinfo test.tif
ERROR 4: `test.tif' not recognized as a supported file format.
gdalinfo failed - unable to open 'test.tif'.

Note that it sill works with other apps, for instance :
$ mpirun -np 4 otbcli_ExtractROI -in color.tif -out test.tif

And with vrt outputs:
$ mpirun -np 4 otbcli_Convert -in color.tif -out test.vrt
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004468

Antoine (developer)

I did not manage to reproduce this crash on Ubuntu 16 with the source of 6.4 or the binaries
Can you please provide the condition for the bug to be reproduce? (os, os version, otb version, type of build etc..) If you are using sources can you attached the output of the cmake configure ?

~0004483

julien (administrator)

Still same issue with latest develop commit :

michelj@pc-jmichel:~/dev/build/otb $ ./bin/otbcli_Convert -in ~/dev/src/otb-data/Input/poupees.jpg -out ~/tmp/test.tif uint8
Writing /home/michelj/tmp/test.tif...: 100% [**************************************************] (0 seconds)
michelj@pc-jmichel:~/dev/build/otb $ gdalinfo ~/tmp/test.tif
Driver: GTiff/GeoTIFF
Files: /home/michelj/tmp/test.tif
Size is 512, 512
Coordinate System is `'
Image Structure Metadata:
  INTERLEAVE=PIXEL
Corner Coordinates:
Upper Left ( 0.0, 0.0)
Lower Left ( 0.0, 512.0)
Upper Right ( 512.0, 0.0)
Lower Right ( 512.0, 512.0)
Center ( 256.0, 256.0)
Band 1 Block=512x5 Type=Byte, ColorInterp=Red
Band 2 Block=512x5 Type=Byte, ColorInterp=Green
Band 3 Block=512x5 Type=Byte, ColorInterp=Blue
michelj@pc-jmichel:~/dev/build/otb $ mpirun -np 4 ./bin/otbcli_Convert -in ~/dev/src/otb-data/Input/poupees.jpg -out ~/tmp/test.tif uint8
michelj@pc-jmichel:~/dev/build/otb $ gdalinfo ~/tmp/test.tif
ERROR 4: `/home/michelj/tmp/test.tif' not recognized as a supported file format.
gdalinfo failed - unable to open '/home/michelj/tmp/test.tif'.

My system is a debian:

michelj@pc-jmichel:~/dev/build/otb $ cmake .
-- Repository status (otb.git) :
-- Repository revision is ff6234f9a55bf35eaf725d074280e49e17b4f901
-- Local file modifications (otb.git) :
-- ?? CMakeFiles/
-- ?? Modules/Remote/OTBTemporalGapFilling/
-- Repository status (otb-data.git) :
-- Repository revision is 90a5e5671a081032b8da08e76de8eaef7dbeea6a
-- Local file modifications (otb-data.git) :
-- ?? Input/DEM/egm96.grd.aux.xml
-- ?? Input/DEM/srtm_directory/N41E001.hgt.aux.xml
-- ?? Input/DEM/srtm_directory/N43E001.hgt.aux.xml
-- Performing Test C_HAS_WARNING-Wformat=2
-- Performing Test C_HAS_WARNING-Wformat=2 - Success
-- Performing Test CXX_HAS_WARNING-Wformat=2
-- Performing Test CXX_HAS_WARNING-Wformat=2 - Success
-- OpenMP support requested with OTB_USE_OPENMP=ON
-- Adding '-fopenmp' to OTB_REQUIRED_CXX_FLAGS
-- SIMD extensions requested with OTB_USE_SSE_FLAGS=ON
-- Adding '-msse2 -mfpmath=sse' to OTB_REQUIRED_CXX_FLAGS
-- Disabled OTBCurl because OTB_USE_CURL is OFF
-- Disabled OTBMapnik because OTB_USE_MAPNIK is OFF
-- Disabled OTBVectorDataRendering because OTB_USE_MAPNIK is OFF
-- Disabled OTBMuParserX because OTB_USE_MUPARSERX is OFF
-- Disabled OTBMathParserX because OTB_USE_MUPARSERX is OFF
-- Disabled OTBAppMathParserX because OTB_USE_MUPARSERX is OFF
-- Disabled OTBlibkml because OTB_USE_LIBKML is OFF
-- Disabled OTBIOKML because OTB_USE_LIBKML is OFF
-- Disabled OTBKMZWriter because OTB_USE_LIBKML is OFF
-- Disabled OTBAppKMZ because OTB_USE_LIBKML is OFF
-- Enabled OTB6S, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAnomalyDetection, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppChangeDetection, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppClassification, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppDescriptors, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppDimensionalityReduction, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppDomainTransform, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppEdge, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppFiltering, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppFusion, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppHyperspectral, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppImageUtils, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppIndices, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppMathParser, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppMoments, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppMorphology, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppOpticalCalibration, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppProjection, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppSARCalibration, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppSARDecompositions, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppSARPolarMatrixConvert, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppSARPolarSynth, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppSARUtils, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppSegmentation, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppStereo, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppTest, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppTextures, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppVectorDataTranslation, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBAppVectorUtils, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBApplicationEngine, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBBoost, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBBoostAdapters, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBCCOBIA, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBCarto, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBChangeDetection, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBCloudDetection, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBColorMap, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBCommandLine, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBCommandLineParser, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBCommon, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBComplexImage, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBContrast, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBConversion, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBConvolution, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBCorner, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBCurlAdapters, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBDEM, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBDempsterShafer, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBDensity, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBDescriptors, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBDimensionalityReduction, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBDisparityMap, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBDisplacementField, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBEdge, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBEndmembersExtraction, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBExtendedFilename, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBFuzzy, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBGDAL, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBGLFW, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBGdalAdapters, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBGeoTIFF, needed by [OTBOssimPlugins].
-- Enabled OTBGlew, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBGlut, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIOBSQ, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIOGDAL, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIOLUM, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIOMSTAR, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIOONERA, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIORAD, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIOTileMap, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIOXML, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBITK, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIce, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIceViewer, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBImageBase, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBImageIO, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBImageManipulation, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBImageNoise, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBIndices, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBInterpolation, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBLabelMap, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBLabelling, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBLandSatClassifier, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBLearningBase, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBLibSVM, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMPI, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMPIConfig, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMPITiffWriter, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMPIVrtWriter, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMajorityVoting, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMapla, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMarkov, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMathParser, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMeanShift, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMetadata, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMetrics, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMoments, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMonteverdi, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMonteverdiCore, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMonteverdiGUI, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMorphologicalProfiles, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMorphologicalPyramid, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBMuParser, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBOGRProcessing, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBOSSIMAdapters, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBObjectDetection, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBObjectList, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBOpenCV, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBOpenGL, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBOpenThreads, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBOpenThreadsAdapters, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBOpticalCalibration, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBOssim, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBOssimPlugins, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBPanSharpening, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBPath, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBPointSet, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBPolarimetry, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBProjection, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBQt4, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBQtAdapters, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBQtWidget, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBQwt, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBRCC8, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBRoadExtraction, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSARCalibration, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSOM, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSPTW, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSWIGWrapper, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSampling, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSeamCarving, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBShark, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSiftFast, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSimulation, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSmoothing, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSpatialObjects, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBStatistics, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBStereo, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBStreaming, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBSupervised, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBTIFF, needed by [OTBSPTW].
-- Enabled OTBTemporalGapFilling, requested by Module_OTBTemporalGapFilling.
-- Enabled OTBTestKernel, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBTextures, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBTimeSeries, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBTinyXML, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBTransform, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBUnmixing, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBUnsupervised, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBUrbanArea, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBVectorDataBase, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBVectorDataIO, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBVectorDataManipulation, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBWatersheds, requested by OTB_BUILD_DEFAULT_MODULES.
-- Enabled OTBWavelet, requested by OTB_BUILD_DEFAULT_MODULES.
-- Boost version: 1.55.0
-- MuParser version is 2.2.3 >= 2.0.0 : uses '&&' and '||' logical operators, and C++ like ternary if-then-else operator
-- Try to compile libsiftfast.cpp -- yes.
-- Using GSL. Your OTB will be under the GNU GPL License or better.
-- Using OTBTemporalGapFilling. Your OTB will be under the Affero GNU GPL License or better.

======================= Begin of OTB cmake summary =======================

otb.git repository info:
 git log -1 --oneline = [ff6234f COMP: missing numeric header in DynamicConvert application]
 git symbolic-ref -q HEAD = develop
otb-data.git repository info:
 git log -1 --oneline = [90a5e56 TEST: compact large dataset]
 git symbolic-ref -q HEAD = master
CMAKE_SOURCE_DIR = /home/michelj/dev/src/otb
CMAKE_BINARY_DIR = /home/michelj/dev/build/otb
CMAKE_INSTALL_PREFIX = /home/michelj/dev/local/otb
CMAKE_COMMAND = /home/michelj/dev/local/cmake/bin/cmake
CMAKE_C_COMPILER = /usr/bin/cc
CMAKE_CXX_COMPILER = /usr/lib/ccache/c++
CMAKE_MAKE_PROGRAM = /usr/bin/make
CMAKE_GENERATOR = Unix Makefiles
CMAKE_BUILD_TYPE = RelWithDebInfo
CMAKE_C_FLAGS = -Wno-uninitialized -Wno-unused-parameter -Wall -Wcast-align -Wdisabled-optimization -Wextra -Wformat=2 -Winvalid-pch -Wno-format-nonliteral -Wpointer-arith -Wshadow -Wunused -Wwrite-strings -funit-at-a-time -Wno-strict-overflow -fopenmp
CMAKE_CXX_FLAGS = -fopenmp -msse2 -mfpmath=sse -Wall -Wcast-align -Wdisabled-optimization -Wextra -Wformat=2 -Winvalid-pch -Wno-format-nonliteral -Wpointer-arith -Wshadow -Wunused -Wwrite-strings -funit-at-a-time -Wno-strict-overflow -Wno-deprecated -Wno-invalid-offsetof -Woverloaded-virtual -Wstrict-null-sentinel -fopenmp --std=c++11 -msse2
OTB_USE_6S = ON
OTB_USE_CURL = OFF
OTB_USE_GLEW = ON
OTB_USE_GLFW = ON
OTB_USE_GLUT = ON
OTB_USE_LIBKML = OFF
OTB_USE_LIBSVM = ON
OTB_USE_MAPNIK = OFF
OTB_USE_MPI = ON
OTB_USE_MUPARSER = ON
OTB_USE_MUPARSERX = OFF
OTB_USE_OPENCV = ON
OTB_USE_OPENGL = ON
OTB_USE_QT4 = ON
OTB_USE_QWT = ON
OTB_USE_SHARK = ON
OTB_USE_SIFTFAST = ON
OTB_USE_SPTW = ON
OTB_WRAP_PYTHON = ON
OTB_WRAP_JAVA = OFF
OTB_DATA_ROOT = /home/michelj/dev/src/otb-data
OTB_USE_OPENMP = ON
OTB_USE_SSE_FLAGS = ON
Boost = 1.55.0
GDAL = 2.2.0dev
GDAL_INCLUDE_DIR = /home/michelj/dev/local/gdal/include
GDAL_LIBRARY = /home/michelj/dev/local/gdal/lib/libgdal.so
GEOTIFF = 1.4.0
GEOTIFF_INCLUDE_DIR = /usr/include/geotiff
GEOTIFF_LIBRARY = /usr/lib/x86_64-linux-gnu/libgeotiff.so
ITK = 4.9.1
ITK_DIR = /home/michelj/dev/local/itk/lib/cmake/ITK-4.9
OSSIM = 1.9.0
OSSIM_INCLUDE_DIR = /home/michelj/dev/local/ossim/include
OSSIM_LIBRARY = /home/michelj/dev/local/ossim/lib/libossim.so
GLEW =
GLEW_INCLUDE_DIR = /usr/include
GLEW_LIBRARY = /usr/lib/x86_64-linux-gnu/libGLEW.so
GLFW = 3.0.4
GLFW_INCLUDE_DIR = /usr/include
GLFW_LIBRARY = /usr/lib/x86_64-linux-gnu/libglfw.so
GLUT =
GLUT_INCLUDE_DIR = /usr/include
GLUT_LIBRARY = /usr/lib/x86_64-linux-gnu/libglut.so;/usr/lib/x86_64-linux-gnu/libXmu.so;/usr/lib/x86_64-linux-gnu/libXi.so
LIBSVM = 3.1.2
LIBSVM_INCLUDE_DIR = /usr/include/libsvm
LIBSVM_LIBRARY = /usr/lib/libsvm.so
MPI =
MPI_LIBRARY = /usr/lib/libmpi_cxx.so
MUPARSER = 2.2.3
MUPARSER_INCLUDE_DIR = /usr/include
MUPARSER_LIBRARY = /usr/lib/x86_64-linux-gnu/libmuparser.so
OPENCV = 2.4.9
OPENCV_INCLUDE_DIRS = /usr/include
OPENCV_LIBRARIES = /usr/lib/x86_64-linux-gnu/libopencv_core.so;/usr/lib/x86_64-linux-gnu/libopencv_ml.so
OPENGL =
OPENGL_INCLUDE_DIR = /usr/include
OPENGL_LIBRARY = /usr/lib/x86_64-linux-gnu/libGLU.so;/usr/lib/x86_64-linux-gnu/libGL.so
QWT = 6.0.0-svn
QWT_INCLUDE_DIR = /usr/include/qwt
QWT_LIBRARY = /usr/lib/libqwt.so.6.0.0
SHARK = 3.1.0
SHARK_INCLUDE_DIR = /home/michelj/dev/local/shark/include
SHARK_LIBRARY = /home/michelj/dev/local/shark/lib/libshark.so
SPTW =
QT = 4.8.6
QT_INCLUDE_DIR = /usr/include/qt4
QT_LIBRARIES = /usr/lib/x86_64-linux-gnu/libQtOpenGL.so;/usr/lib/x86_64-linux-gnu/libQtGui.so;/usr/lib/x86_64-linux-gnu/libQtCore.so
TINYXML = 2.6.2
TINYXML_INCLUDE_DIR = /usr/include
TINYXML_LIBRARY = /usr/lib/x86_64-linux-gnu/libtinyxml.so

CMake 3.8.2 successfully configured OTB using Unix Makefiles generator

======================= End of OTB cmake summary =======================
-- Configuring done
-- Generating done
-- Build files have been written to: /home/michelj/dev/build/otb

~0004500

grizonnetm (administrator)

I've made some tests on CNES cluster with several version of OTB from 5.6 to 6.2 with different versions of openmpi.

- otb 6.2 with openmpi 2.0.1 -> bug
- otb 6.0 with openmpi 2.0.1 -> works but with warning during execution:

mpirun -np 4 otbcli_Convert -in img_1.png -out img_1.tif
Warning 1: TIFFReadDirectory:Wrong "StripByteCounts" field, ignoring and calculating from imagelength
Warning 1: TIFFReadDirectory:Wrong "StripByteCounts" field, ignoring and calculating from imagelength
Warning 1: TIFFReadDirectory:Wrong "StripByteCounts" field, ignoring and calculating from imagelength
Warning 1: TIFFReadDirectory:Wrong "StripByteCounts" field, ignoring and calculating from imagelength
Warning 1: TIFFReadDirectory:Wrong "StripByteCounts" field, ignoring and calculating from imagelength
Warning 1: TIFFReadDirectory:Wrong "StripByteCounts" field, ignoring and calculating from imagelength
Warning 1: TIFFReadDirectory:Wrong "StripByteCounts" field, ignoring and calculating from imagelength
Warning 1: TIFFReadDirectory:Wrong "StripByteCounts" field, ignoring and calculating from imagelength

- otb 5.8 and earlier version with openmpi 1.10.3 -> works


Could it be related to the fact that Simple Parallel Tiff Writer SPTW is not compatible with openMPI 2.X?

~0004509

Antoine (developer)

I do not think that this is the problem. I get valid output by using openMPI 2.1 and openMPI 1.10 on Ubuntu 16.04.
You have to make sure all the cmake paths lead to the same implementation/version of MPI. And also that you are using the corresponding mpirun.
Could you attach the following files :
CMakeCache.txt
Module/Wrappers/CommandLine/src/CmakeFiles/OTBCommandLine.dir/lint.txt
Module/Wrappers/CommandLine/src/CmakeFiles/OTBCommandLine.dir/flags.cmake
Module/Wrappers/CommandLine/src/CmakeFiles/OTBCommandLine.dir/cxx.includecache
Module/Applications/AppImageUtils/app/CmakeFiles/otbapp_Convert.dir/lint.txt
Module/Applications/AppImageUtils/app/CmakeFiles/otbapp_Convert.dir/flags.cmake
Module/Applications/AppImageUtils/app/CmakeFiles/otbapp_Convert.dir/cxx.includecache
Module/ThirdParty/SPTW/src/CmakeFiles/otbSPTW.dir/lint.txt
Module/ThirdParty/SPTW/src/CmakeFiles/otbSPTW.dir/flags.cmake
Module/ThirdParty/SPTW/src/CmakeFiles/otbSPTW.dir/cxx.includecache
thanks.

~0004511

grizonnetm (administrator)

This bug starts to make me crazy.

I can reproduce Julien's bug on Ubuntu 16.04 with release-6.4 branch and with: - - gdal system VersionĀ : 2.2.1+dfsg-2~xenial0,
- libtiff system version: 4.0.6-1ubuntu0.2
- openMPI system 1.10.2

See my CMakeCache attached.

~0004512

julien (administrator)

I have a potential bugfix here:
https://git.orfeo-toolbox.org/otb.git/commitdiff/ed2af992eb3d8724dd0079797e8130d5fb981e9a

When he wrote this code, Remi did some changes to the SPTW API, and he added the create_generic_raster method. Switching back to original methods of SPTW for raster creation fixes the bug for me.

I do not know why it was broken, and why changing this fixes things ...

~0004513

grizonnetm (administrator)

the patch works for me

~0004514

julien (administrator)

Patch pushed in release-6.4 branch. Let's see tomorrow ...

~0004517

remi (reporter)

I think the patch makes SPTW write only tiled geotiffs.
I am investigating this issue as soon as I can.

~0004520

remi (reporter)

The patch seems to work fine.
However I still don't understand the bug.

~0004521

remi (reporter)

The problem occurs when writing the first and last pixel of the geotiff, in create_generic_raster.
I think that we can use Julien's patch (and remove/fix create_generic_raster?) or let the writer as it is and patch directly create_generic_raster in sptw.cc

~0004522

julien (administrator)

Ok I am resolving this issue then. I guess something weird happened with upgrades of gdal and/or libtiff.
+Notes

-Issue History
Date Modified Username Field Change
2017-11-24 17:29 julien New Issue
2017-12-22 13:01 grizonnetm Priority high => urgent
2018-01-05 11:05 Antoine Note Added: 0004468
2018-01-08 14:50 julien Note Added: 0004483
2018-01-11 15:42 grizonnetm Note Added: 0004500
2018-01-15 11:37 Antoine Note Added: 0004509
2018-01-16 09:27 grizonnetm File Added: CMakeCache.txt
2018-01-16 09:27 grizonnetm Note Added: 0004511
2018-01-16 11:13 julien Note Added: 0004512
2018-01-16 15:08 grizonnetm Note Added: 0004513
2018-01-16 16:10 julien Note Added: 0004514
2018-01-22 14:46 remi Note Added: 0004517
2018-01-23 11:19 remi Note Added: 0004520
2018-01-23 12:23 remi Note Added: 0004521
2018-01-24 08:20 julien Assigned To => julien
2018-01-24 08:20 julien Status new => resolved
2018-01-24 08:20 julien Resolution open => fixed
2018-01-24 08:20 julien Note Added: 0004522
+Issue History